%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:		instack-undercloud
Version:	5.3.7
Release:	8%{?dist}
Summary:	Installation tools to install an undercloud via instack

Group:		Development/Languages
License:	ASL 2.0
Url:		https://github.com/openstack/instack-undercloud
Source0:	https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=5.3.7
#
Patch0001: 0001-Remove-RH1-OVB-jobs-from-configuration.patch
Patch0002: 0002-Zuul-Remove-project-name.patch
Patch0003: 0003-Fix-bootstrap-NAT.patch
Patch0004: 0004-CVE-2018-1000115-memcached-restrict-to-TCP-localhost.patch
Patch0005: 0005-Add-numa-topology-colector-to-the-list-of-default-co.patch
Patch0006: 0006-CVE-2018-1000115-memcached-restrict-to-TCP-localhost.patch
Patch0007: 0007-Remove-hardcoded-eth0-MASQUERADE-rule.patch
Patch0008: 0008-Fix-ntp-configuration.patch
Patch0009: 0009-Remove-cloud-init-and-disable-os-collect-config.patch
Patch0010: 0010-Set-undercloud-nova-notification_format-to-unversion.patch
Patch0011: 0011-Removing-packages-when-installing-Undercloud-in-Newt.patch
Patch0012: 0012-Ensure-Boolean-Strings-from-the-environment-are-trea.patch
Patch0013: 0013-Make-sure-selinux-permissions-are-correct-on-.ssh.patch
Patch0014: 0014-Fix-wrong-path-in-ssh-selinux-issue-detection.patch
Patch0015: 0015-Fix-wrong-flag-to-prevent-failure-when-selinux-perm-.patch
Patch0016: 0016-DOWNSTREAM-ONLY-Make-sure-we-fix-selinux-permission-.patch
Patch0017: 0017-Fix-curly-brackets-for-ntp-servers-to-prevent-HTML-e.patch

BuildArch:	noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  git
Requires:	instack
Requires:	openstack-tripleo
Requires:	openstack-tripleo-heat-templates
Requires:	openstack-tripleo-image-elements
Requires:	redhat-lsb-core
Requires:	policycoreutils-python
Requires:	openstack-heat-templates
Requires:	openstack-tripleo-puppet-elements
Requires:	python-psutil
Requires:	pystache
Requires:	jq
Requires:	os-net-config
Requires:	os-cloud-config
Requires:	python-heat-agent
Requires:	puppet
Requires:	openstack-puppet-modules

Requires:	selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*

%changelog
* Tue Nov 20 2018 Alex Schultz <aschultz@redhat.com> 5.3.7-8
- Fix curly brackets for ntp::servers: to prevent HTML escaping (rhbz#1651692)

* Wed Aug 29 2018 Sofer Athlan-Guyot <sathlang@redhat.com> 5.3.7-7
- [DOWNSTREAM ONLY] Make sure we fix selinux permission in Permissive. (rhbz#1466410)
- Fix wrong flag to prevent failure when selinux perm are correct. (rhbz#1466410)
- Fix wrong path in ssh selinux issue detection. (rhbz#1466410)
- Make sure selinux permissions are correct on ~/.ssh. (rhbz#1466410)

* Thu Aug 16 2018 Bob Fournier <bfournie@redhat.com> 5.3.7-6
- Ensure Boolean Strings from the environment are treated correctly (rhbz#1610408)

* Thu Jul 26 2018 Carlos Camacho <ccamacho@redhat.com> 5.3.7-5
- Removing packages when installing Undercloud in Newton (rhbz#1582662)

* Fri Jul 20 2018 Martin Schuppert <mschuppert@redhat.com> 5.3.7-4
- Set undercloud nova notification_format to 'unversioned' (rhbz#1558901)

* Fri Jun 15 2018 Alex Schultz <aschultz@redhat.com> 5.3.7-3
- Remove cloud-init and disable os-collect-config (rhbz#1591783)

* Tue Jun 12 2018 Alex Schultz <aschultz@redhat.com> 5.3.7-2
- Fix ntp configuration. (rhbz#1583230)
- Remove hardcoded eth0 MASQUERADE rule (rhbz#1560621)

* Fri Mar 16 2018 Steve Linabery <slinaber@redhat.com> 5.3.7-1
- Update to 5.3.7
- Zuul: Remove project name
- Remove RH1 OVB jobs from configuration

* Wed Mar 14 2018 Alex Schultz <aschultz@redhat.com> 5.3.6-2
- Fix bootstrap NAT (rhbz#1553849)

* Fri Jan 12 2018 Steve Linabery <slinaber@redhat.com> 5.3.6-1
- Update to 5.3.6
- Add --summarize when running puppet apply

* Wed Nov 08 2017 Steve Linabery <slinaber@redhat.com> 5.3.2-2
- undercloud/upgrade: change ownership for ironic-dbsync.log

* Wed Oct 18 2017 Steve Linabery <slinaber@redhat.com> 5.3.2-1
- Update to 5.3.2

* Wed Aug 09 2017 Steve Linabery <slinaber@redhat.com> 5.3.0-3
- Fail-fast if the undercloud-passwords.conf file is missing
- Add ssl development headers to bindep
- Remove any left-over tuskar packages on upgrade
- Remove isolated-build element

* Wed Jul 19 2017 Alex Schultz <aschultz@redhat.com> 5.3.0-2
- Remove backslash from awk command in stackrc (rhbz#1465616)
- Clear any previous environment in stackrc (rhbz#1465616)

* Thu May 18 2017 Jason Joyce <jjoyce@redhat.com> 5.3.0-1
- Update to 5.3.0

* Mon Mar 13 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-3
- Adds the nova db online data migrations to the list of db sync
- export OS_BAREMETAL_API_VERSION in stackrc (rhbz#1419038)
- Disable the deprecation warnings as errors for puppet-syntax

* Fri Mar 03 2017 Mike Burns <mburns@redhat.com> 5.2.0-2
- Move Docker registry setup into its own profile (rhbz#1428826)

* Wed Jan 04 2017 Jon Schlueter <jschluet@redhat.com> 5.2.0-1
- Update to 5.2.0

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-4
- Make inspection also respect whether iPXE is enabled
- Open firewall port for the TripleO UI

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 5.1.0-3
- correctly spell yaql_limit_iterators
- Increase Mistral Task Size limit

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-2
- Fix pep8 job
- Prevent pxe_ilo driver from guessing the boot mode to use (rhbz#1320318)

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 5.1.0-1
- Update to 5.1.0

* Tue Nov 08 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-4
- Disable Swift auditors and replicators on the undercloud

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-3
- Enable telemetry services by default on undercloud

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-2
- Only create the Mistral config env if it doesn't exist

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-1
- Update to 5.0.0

* Mon Oct 24 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.5.0rc3
- Run ceilometer api under wsgi on undercloud

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 5.0.0-0.4.0rc3
- Tune number of workers for undercloud

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 5.0.0-0.3.0rc3
- Update to 5.0.0.0rc3

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.2.0rc2
- Update to 5.0.0.0rc2

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 5.0.0-0.1.0b3
- Update to 5.0.0.0b3
